{метод пузырька}
procedure BubbleSort;
 var i,j:index; x:integer;
 begin
  for i:=2 to n do
   {всплывание пузырька
    на уровень i}
   begin
    for j:=n downto i do
     if f(a[j-1])>f(a[j]) then
       {обмен местами (j-1)-го
	и j-го	элементов}
   end
 end;{BubbleSort}